## svgclock 0.8-2

=== debian/changelog ===
svgclock (0.8-2) stable; urgency=low

  Enhancement to display a full month view calendar, on double-click on the widget

 -- CJ Manoj Kumar - shin@talk.maemo.org <cjmanoj003@gmail.com>  Sun, 21 Mar 2010 19:02:53 +0000
