=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/svgclock" install
	mkdir -p "$(CURDIR)/debian/svgclock"

#	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/hildon-desktop/"
	cp -a "src/usr/lib/hildon-desktop/svgclock.py" "$(CURDIR)/debian/svgclock/usr/lib/hildon-desktop/svgclock.py"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/Makefile.am" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/Makefile.am"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/Makefile.in" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/Makefile.in"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-drop-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-drop-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-face-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-face-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-face.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-face.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-frame.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-frame.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-glass.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-glass.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-hour-hand-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-hour-hand-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-hour-hand.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-hour-hand.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-marks.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-marks.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-minute-hand-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-minute-hand-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-minute-hand.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-minute-hand.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-second-hand-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-second-hand-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/"
	cp -a "src/usr/lib/svgclock/themes/antique/clock-second-hand.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/antique/clock-second-hand.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/share/applications/hildon-home/"
	cp -a "src/usr/share/applications/hildon-home/svgclock.desktop" "$(CURDIR)/debian/svgclock/usr/share/applications/hildon-home/svgclock.desktop"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/share/doc/svgclock/"
	cp -a "src/usr/share/doc/svgclock/copyright" "$(CURDIR)/debian/svgclock/usr/share/doc/svgclock/copyright"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-drop-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-drop-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-face-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-face-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-face.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-face.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-frame.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-frame.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-glass.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-glass.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-hour-hand-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-hour-hand-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-hour-hand.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-hour-hand.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-hour-hand.svg.opt" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-hour-hand.svg.opt"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-marks.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-marks.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-minute-hand-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-minute-hand-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-minute-hand.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-minute-hand.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-minute-hand.svg.opt" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-minute-hand.svg.opt"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-second-hand-shadow.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-second-hand-shadow.svg"
	mkdir -p "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/"
	cp -a "src/usr/lib/svgclock/themes/default/clock-second-hand.svg" "$(CURDIR)/debian/svgclock/usr/lib/svgclock/themes/default/clock-second-hand.svg"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
