## svgclock 0.8-4

=== debian/changelog ===
svgclock (0.8-4) stable; urgency=low

  Enhancement to display a full month view calendar, on double-click on the widget

 -- CJ Manoj Kumar - shin@talk.maemo.org <cjmanoj003@gmail.com>  Mon, 29 Mar 2010 23:00:19 +0000
