=== debian/control ===
Source: svgclock
Section: user/desktop
Priority: extra
Maintainer: CJ Manoj Kumar - shin@talk.maemo.org <cjmanoj003@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: svgclock
Architecture: all
Depends: hildon-desktop-python-loader, python2.5-hildondesktop, python2.5-hildon, python2.5-gobject, python2.5-osso, python2.5-cairo, python2.5-gtk2, librsvg2-2, librsvg2-common, gnome-python-desktop
Description: A hildon desktop analog clock applet for maemo, with skinnable SVG themes.
