## svgclock 0.8-5

=== debian/changelog ===
svgclock (0.8-5) stable; urgency=low

  Functional enhancement to display OSSO Alarm UI on double-click of the applet

 -- CJ Manoj Kumar - shin@talk.maemo.org <cjmanoj003@gmail.com>  Thu, 22 Apr 2010 23:07:57 +0000
